package com.fs.his.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.his.domain.FsImportMember;
import com.fs.his.dto.MemberExcelDTO;
import org.springframework.web.multipart.MultipartFile;

/**
 * 导入会员Service接口
 * 
 * @author fs
 * @date 2026-05-25
 */
public interface IFsImportMemberService extends IService<FsImportMember>{
    /**
     * 查询导入会员
     * 
     * @param id 导入会员主键
     * @return 导入会员
     */
    FsImportMember selectFsImportMemberById(Long id);

    /**
     * 查询导入会员列表
     * 
     * @param fsImportMember 导入会员
     * @return 导入会员集合
     */
    List<FsImportMember> selectFsImportMemberList(FsImportMember fsImportMember);

    /**
     * 新增导入会员
     * 
     * @param fsImportMember 导入会员
     * @return 结果
     */
    int insertFsImportMember(FsImportMember fsImportMember);

    /**
     * 修改导入会员
     * 
     * @param fsImportMember 导入会员
     * @return 结果
     */
    int updateFsImportMember(FsImportMember fsImportMember);

    /**
     * 批量删除导入会员
     * 
     * @param ids 需要删除的导入会员主键集合
     * @return 结果
     */
    int deleteFsImportMemberByIds(Long[] ids);

    /**
     * 删除导入会员信息
     * 
     * @param id 导入会员主键
     * @return 结果
     */
    int deleteFsImportMemberById(Long id);

    void batchInsert(List<MemberExcelDTO> list);

    Map<String,Object> importExcel(MultipartFile file);

    /**
     * 批量添加待销售认领客户信息
     * */
    int batchAddCompanyCustomer();

    /**
     * 同步口袋助理会员信息
     */
    void syncKdzlMemberInfo();
}
